package jp.gihyo.mitoma.android.s010901basictrans.extra;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import jp.gihyo.mitoma.android.s010901basictrans.R;

public class Activity_B extends AppCompatActivity {
    EditText etValue;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main_b);
        etValue = findViewById(R.id.etValue);
        // 遷移元からのデータ取得
        Intent intent = getIntent();
        String message = intent.getStringExtra("message");
        etValue.setText(message);
        // ボタンへのクリックリスナーセット
        Button button = findViewById(R.id.button);
        button.setOnClickListener(new ButtonClick());
    }
    private class ButtonClick implements View.OnClickListener{
        public void onClick(View view){
            // クリックで終了
            finish();
        }
    }
}